package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * EnumMenuItem对象 enum_menu_item
 *
 * @author hlf
 * @date 2021-07-07
 */
public class EnumMenuItem extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long menuNo;

    private Long itemNo;

    private String itemName;

    private Long itemVal;

    public void setMenuNo(Long menuNo) {
        this.menuNo = menuNo;
    }

    public Long getMenuNo() {
        return menuNo;
    }

    public void setItemNo(Long itemNo) {
        this.itemNo = itemNo;
    }

    public Long getItemNo() {
        return itemNo;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemVal(Long itemVal) {
        this.itemVal = itemVal;
    }

    public Long getItemVal() {
        return itemVal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("menuNo", getMenuNo())
                .append("itemNo", getItemNo())
                .append("itemName", getItemName())
                .append("itemVal", getItemVal())
                .toString();
    }
}
